---
inputType: "CA10__CaAzureSqlServer__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAzureSqlServer__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "SQL Server Public Network Access is disabled."
    remediationMessage: "Consider enabling SQL Server Public Network Access."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__publicNetworkAccess__c"
        right:
          TEXT: "Disabled"
  - status: "COMPLIANT"
    currentStateMessage: "SQL Server Public Network Access is enabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__publicNetworkAccess__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unable to determine Public Network Access."